package edu.kit.ipd.descartes.adaptation.util;

import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;

public class BlueYonderExperimentTracker {

    private static final String RESULT_NAME = "Xreq-par-$1Yps-desc4-gw-desc3-db-desc2-predict-Z ps=$2-req=5-size=50000";
    private int psOnDescOne = 0;
    private int psOnDescFour = 1;

    public String getCurrentExperimentName() {
        String result = RESULT_NAME;
        
        if (psOnDescOne > 0)
            result = RESULT_NAME.replace("$1", psOnDescOne + "ps-desc1-");
        else
            result = RESULT_NAME.replace("$1", "");
        
        result = result.replace("$2", Integer.toString(psOnDescFour));
        return result;
    }

    public void track(WeightedTactic tactic) {
        String execTacticName = tactic.getName();

        if (execTacticName.contains("Low")) {
            psOnDescOne++;
        } else if (execTacticName.contains("High")) {
            psOnDescFour++;
        }
    }
}
